
/**************************************************************************
 *
 *  $Id: mbgadjtm_cfg.h 1.2 2012/03/01 14:51:03Z martin REL_M $
 *
 *  Copyright (c) Meinberg Funkuhren, Bad Pyrmont, Germany
 *
 *  Description:
 *    Definitions and prototypes for mbgadjtm configuration.
 *
 * -----------------------------------------------------------------------
 *  $Log: mbgadjtm_cfg.h $
 *  Revision 1.2  2012/03/01 14:51:03Z  martin
 *  Fixed non-Windows build.
 *  Removed global variable adjtm_cfg.
 *  Revision 1.1.1.2  2012/03/01 14:51:03Z  martin
 *  Fixed build for non-Windows.
 *  Revision 1.1.1.1  2011/11/07 13:30:05  martin
 *  Revision 1.1  2011/09/23 13:56:32  martin
 *  Initial revision.
 *
 **************************************************************************/

#ifndef _MBGADJTM_CFG_H
#define _MBGADJTM_CFG_H

/* Other headers to be included */

#include <mbg_tgt.h>
#include <gpsdefs.h>
#include <pcpsdefs.h>
#include <pcpsutil.h>
#include <mbgtime.h>
#include <mbgpccyc.h>

#if defined( MBG_TGT_WIN32 )
  #include <rs232.h>
  #include <mbgdevio.h>
#else
  #define DWORD uint32_t
#endif //MBG_TGT_WIN32

#include <use_pack.h>


#ifdef _MBGADJTM_CFG
 #define _ext
 #define _DO_INIT
#else
 #define _ext extern
#endif


/* Start of header body */

#if defined( _USE_PACK )
  #pragma pack( 1 )      // set byte alignment
  #define _USING_BYTE_ALIGNMENT
#endif


#ifdef __cplusplus
extern "C" {
#endif



typedef struct
{
  char  hardware_id[256];
  DWORD ignore_sync;
  DWORD sync_radius;
  DWORD repeat_count;
  DWORD max_diff;
  DWORD set_local_time;
  DWORD gen_statistics;
  DWORD notification_limit;
  DWORD set_mm_timer;
  DWORD evt_handling_enabled;
  DWORD async_evt_cmd_delay;
  char  async_evt_cmd[256];
  char  sync_evt_cmd[256];
  DWORD allow_initial_timestep;
  DWORD allow_timestep_on_refclk_jump;
  DWORD flags;
} MBGADJTM_CFG;

// Bit masks used with MBGADJTM_CFG::flags:
#define MBGADJTM_CFG_LOG_DETAILS    0x00000001
#define MBGADJTM_CFG_START_PAUSED   0x00000002



/* ----- function prototypes begin ----- */

/* This section was generated automatically */
/* by MAKEHDR, do not remove the comments. */

/* (No header definitions found) */

/* ----- function prototypes end ----- */

#ifdef __cplusplus
}
#endif


#if defined( _USING_BYTE_ALIGNMENT )
  #pragma pack()      // set default alignment
  #undef _USING_BYTE_ALIGNMENT
#endif

/* End of header body */

#undef _ext
#undef _DO_INIT

#endif  /* _MBGADJTM_CFG_H */
