
/**************************************************************************
 *
 *  $Id: pcpsmktm.h 1.2 2017/07/05 08:18:54Z martin REL_M $
 *
 *  Copyright (c) Meinberg Funkuhren, Bad Pyrmont, Germany
 *
 *  Description:
 *    Definitions and prototypes for pcpsmktm.c.
 *
 * -----------------------------------------------------------------------
 *  $Log: pcpsmktm.h $
 *  Revision 1.2  2017/07/05 08:18:54Z  martin
 *  Cleaned up to conform to standard header file format.
 *  Updated function prototypes.
 *  Revision 1.1  2001/02/02 15:31:07  MARTIN
 *
 **************************************************************************/

#ifndef _PCPSMKTM_H
#define _PCPSMKTM_H


/* Other headers to be included */

#include <pcpsdefs.h>

#include <time.h>


#ifdef _PCPSMKTM
 #define _ext
 #define _DO_INIT
#else
 #define _ext extern
#endif


/* Start of header body */

#ifdef __cplusplus
extern "C" {
#endif



/* ----- function prototypes begin ----- */

/* This section was generated automatically */
/* by MAKEHDR, do not remove the comments. */

 /**
 * @brief Compute a linear time_t value from ::PCPS_TIME
 *
 * This function works like the standard mktime() function but does not
 * account for a timezone setting configured for the standard C library.
 * Instead, since ::PCPS_TIME contains local time with specified UTC offset
 * the UTC offset is removed to yield UTC time.
 *
 * @param[in] tp     A timestamp in ::PCPS_TIME format
 *
 * @return seconds since 1970-01-01 (Unix time_t format) or ((time_t) -1) if range overflow
 */
 time_t pcps_mktime( const PCPS_TIME *tp ) ;


/* ----- function prototypes end ----- */

#ifdef __cplusplus
}
#endif

/* End of header body */

#undef _ext
#undef _DO_INIT

#endif  /* _PCPSMKTM_H */
